package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemGjjManifestBinding
import com.lukouguoji.gjj.databinding.ItemGjjTallyBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjjManifestBean
import com.lukouguoji.module_base.bean.GjjTallyBean

class GjjTallyListViewHolder(view: View) :
    BaseViewHolder<GjjTallyBean, ItemGjjTallyBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        getItemBean(item)?.let {
            binding.bean = it
        }

        notifyItemClick(position, binding.ivIcon)
        notifyItemClick(position, binding.tvDetails)
        notifyItemClick(position, binding.tvModify)
        notifyItemClick(position, binding.tvDelete)
    }
}